Create Image or Video

Create a new image/video Content Center Asset

Details

This endpoint only accepts multipart/form-data input and consequenlty will not work with this API Explorer. Instead, you may use the example provided as a starting point for the main body of data, and then execute via cURL similar to:

Create Image Asset:

curl \
	-H "Authorization: Bearer {your token}" \
	-H "Content-Type: multipart/form-data" \
	-H "Accept: application/json" \
	-F 'asset={"sfEntityType":"Asset", "folderId": "730"};type=application/json' \
	-F "[email protected]" \
	-X POST "https://api.spredfast.com/v2/conversations/asset"

Create Video Asset:

curl \
	-H "Authorization: Bearer {your token}" \
	-H "Content-Type: multipart/form-data" \
	-H "Accept: application/json" \
	-F 'asset={"sfEntityType":"Asset", "folderId": "730"};type=application/json' \
	-F "[email protected]" \
	-F "videoSize=1038741" \
	-X POST https://api.spredfast.com/v2/conversations/asset

Additional Information

name field

If not present, the following defaults will be applied:

  • For a Text Asset: the first few words from the text will be used
  • For an Image Asset: the file name will be used
  • For a Video Asset: the file name will be used
Body Params
string
required
Defaults to Asset

Specifies that this object is of Khoros Marketing entity type Asset. Any other type will fail for this request.

string

The ID of the asset within Khoros Marketing. readOnly: true

string
required

Which folder to place the asset in. This value must be present and a valid.

string

The name of the Asset. See the Name section below for additional information. Character Limit: 250

boolean
Defaults to true

Whether the asset can be used for publishing.

boolean
Defaults to true

Whether the asset can be used for Moderation.

contentLabels
array of strings

List of labels to apply to content generated with this asset.

contentLabels
services
array of strings

The services to restrict this Asset to. Allowed Values: FACEBOOK, INSTAGRAM, PINTEREST, YOUTUBE, VK, MULTI_CHANNEL, SINAWEIBO

services
string

The date and time when the asset becomes available for use. Format: date-time

string

The date and time when the asset stops being available for use. Format: date-time

string

The date and time when the asset will be removed from Khoros Marketing. Format: date-time

string

Text to go along with the asset. If this is Text Asset, this field is required. Visible On: Text asset Required for: Text asset Character Limit: 4000

string

The publicly accessible URL for an Image Asset from within Khoros Marketing Content Center. Format: uri Visible On: Image asset readOnly: true

string

The publicly accessible URL for a smaller version of the original Image Asset from within Khoros Marketing Content Center. Format: uri Visible On: Image asset readOnly: true

string

The publically accessible URL for a thumbnail of an Image Asset from within Khoros Marketing Content Center. Format: uri Visible On: Image asset readOnly: true

string

The publically accessible URL for a Video Asset from within Khoros Marketing Content Center. Format: uri Visible On: Video asset readOnly: true

string

The publically accessible URL for a thumbnail of a Video Asset from within Khoros Marketing Content Center. Format: uri Visible On: Video asset readOnly: true

string

External ID to represent the ID of the asset outside of the system.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json